<?php
session_start();
require("../../database/dbConection.php");
$usuarioLogado  = $_SESSION['idUsuarioLogado'];
$idPerfilLogado = $_SESSION['idPerfilLogado'];

$opcaoFiltro    = $_POST['opcaoFiltro'];

$formatarDiaSemana = array(
	'SEG'=>'SEGUNDA',
	'TER'=>'TERÇA',
	'QUA'=>'QUARTA',
	'QUI'=>'QUINTA',
  'SEX'=>'SEXTA',
  'SAB'=>'SÁBADO',
  'DOM'=>'DOMINGO'
);

switch($opcaoFiltro){

  case "profissional";
    $idUnidadeSaude   = $_POST['idUnidadeSaude'];
    $stmProfissional  = $rsConexao->prepare("SELECT documento_profissional, nome_profissional FROM reg_tb_escala WHERE cnes_unidade='$idUnidadeSaude' GROUP BY nome_profissional ORDER BY nome_profissional");
    $stmProfissional  -> execute();
    $rsProfissional   = $stmProfissional->fetchAll(PDO::FETCH_ASSOC);

    if($stmProfissional->rowCount()>0){
      echo "<option value=''>SELECIONE O PROFISSIONAL...</option>";
      foreach($rsProfissional AS $fieldProfissional){
        $idProfissional   = $fieldProfissional['documento_profissional'];
        $nomeProfissional = $fieldProfissional['nome_profissional'];
        echo "<option value='$idProfissional'>$nomeProfissional</option>";
      }
    }else{
      echo "<option value=''>SELECIONE UMA UNIDADE...</option>";
    }
  break;

  case "data-agenda";
  
    $idProfissional = $_POST['idProfissional'];
    $idUnidadeSaude = $_POST['idUnidadeSaude'];
    $stmDataAgenda  = $rsConexao->prepare("SELECT datainicio_escala,date_format(datainicio_escala, '%d/%m/%Y') dataAgenda FROM reg_tb_escala WHERE cnes_unidade='$idUnidadeSaude' AND documento_profissional='$idProfissional' GROUP BY dia_semana ORDER BY  datainicio_escala");
    $stmDataAgenda  -> execute();
    $rsDataAgenda  = $stmDataAgenda->fetchAll(PDO::FETCH_ASSOC);

    if($stmDataAgenda->rowCount()>0){
      echo "<option value=''>SELECIONE...</option>";
      foreach($rsDataAgenda AS $fieldDataAgenda){
        $idDataAgenda = $fieldDataAgenda['datainicio_escala'];
        $dataAgenda   = $fieldDataAgenda['dataAgenda'];
        echo "<option value='$idDataAgenda'>$dataAgenda</option>";
      }
    }else{
      echo "<option value=''>SELECIONE...</option>";
    }
  break;

  case "horario-disponivel";
    $idProfissional = $_POST['idProfissional'];
    $idUnidadeSaude = $_POST['idUnidadeSaude'];
    $diaSemana      = $_POST['diaSemana'];
    $stmHorario     = $rsConexao->prepare("SELECT horainicio_escala FROM reg_tb_escala WHERE cnes_unidade='$idUnidadeSaude' AND documento_profissional='$idProfissional' AND dia_semana='$diaSemana' GROUP BY dia_semana ORDER BY horainicio_escala");
    $stmHorario     -> execute();
    $rsHorario      = $stmHorario->fetchAll(PDO::FETCH_ASSOC);

    if($stmHorario->rowCount()>0){
      echo "<option value=''>SELECIONE...</option>";
      foreach($rsHorario AS $fieldHorario){
        $horarioDisponivel  = $fieldHorario['horainicio_escala'];
        echo "<option value='$horarioDisponivel'>$horarioDisponivel</option>";
      }
    }else{
      echo "<option value=''>SELECIONE...</option>";
    }
  break;  

}
?>